Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.pstricks
Class PSTColorExpression

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.SequenceExpression
              jpicedt.format.input.pstricks.PSTColorExpression

All Implemented Interfaces:
  ExpressionConstants

public class PSTColorExpression
extends SequenceExpression

Used by PSTParametersExpression to parse statements involving colours, for instance "linecolor=green" (predefined colour) or "fillcolor=MyGray" (user-defined colours).

If no pstricks's native colour matches the RHS, we fetch a HashMap from the Pool's hashtable (value associated with key PstricksParser.KEY_USER_COLOURS) and look up the given colour ; this HashMap may've been filled by UserDefinedColorExpression in the course of the parsing process.

Version:
  $Id: PSTColorExpression.java,v 1.4.2.1 2007/09/02 11:56:11 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`PSTColorExpression(Pool pl, String tag, PicAttributeName attributeName, Pool.Key attributeSetKey)`

Methods inherited from class jpicedt.format.input.util.SequenceExpression
`add, interpret, toString`

Methods inherited from class jpicedt.format.input.util.AbstractRegularExpression
`action`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PSTColorExpression

    public PSTColorExpression(Pool pl,
                              String tag,
                              PicAttributeName attributeName,
                              Pool.Key attributeSetKey)

Parameters:
  `pl` - parser's pool
  `tag` - LHS tag (e.g. "linecolor" or "fillcolor") for the StatementExpression
  `attributeSetKey` - used to fetch the attribute set in which parsed parameters are stored.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org